For quote requests with a current status of quoted or disqualified, you may update the contacts associated with either or both of the origin and destination locations.
Completing the missing contact details for a previously unbookable quote request may change the bookable status for the request if all other requirements are met.
This endpoint payload requires at least one of a destination or an origin object to be present.
PATCH
/requests/{request_id}/contacts
curl \
--request PATCH 'https://api.arta.io/requests/{request_id}/contacts' \
--header "Content-Type: application/json" \
--header "Authorization: ARTA_APIKey s0e1t2e3c4a5s6t7r8o9n10o11m12y" \
--data '{"destination":{"contacts":[{"email_address":"destination@example.com","name":"Destination Contact","phone_number":"(310) 123-4567"}]},"origin":{"contacts":[{"email_address":"origin@example.com","name":"Origin Contact","phone_number":"(310) 234-5678"}]}}'
Request examples
# Headers
Authorization: ARTA_APIKey s0e1t2e3c4a5s6t7r8o9n10o11m12y
# Payload
{
"destination": {
"contacts": [
{
"email_address": "destination@example.com",
"name": "Destination Contact",
"phone_number": "(310) 123-4567"
}
]
},
"origin": {
"contacts": [
{
"email_address": "origin@example.com",
"name": "Origin Contact",
"phone_number": "(310) 234-5678"
}
]
}
}
Response examples (200)
# Headers
content-type: application/json
x-arta-request-id: FkBjuxbwLLTx4RoAARkx
# Payload
{
"additional_services": [],
"bookable": {
"missing": [],
"ready": true
},
"created_at": "2021-01-21T17:22:08.818747",
"currency": "USD",
"customs_end_use": "not_for_resale",
"customs_process": "ddu",
"destination": {
"access_restrictions": [],
"address_line_1": "87 Richardson St",
"address_line_2": null,
"address_line_3": null,
"city": "New York",
"contacts": [
{
"email_address": "al@example.com",
"name": "Alfred Barr",
"phone_number": "(222) 222-2222"
}
],
"country": "US",
"postal_code": "11249",
"region": "NY",
"title": "Home"
},
"disqualifications": [],
"hosted_session_id": 723,
"id": "9d8892bc-f4c6-4b45-88e2-0ccd28eb73cc",
"insurance": null,
"internal_reference": null,
"log_request_id": "FpL53jSpPbCUXRAAKPRS",
"object_count": 1,
"objects": [
{
"components": [
{
"customs": {
"country_of_origin": "US",
"hs_code": "123456",
"medium": "oil on canvas",
"temporary_admission": true
},
"details": {
"creation_date": "1980",
"creator": "Bob Smithson",
"notes": "Artist signature in the lower left corner",
"title": "Black Rectangle"
},
"id": "1f26b6e1-ce25-43a9-b4ea-2ceaac24ec3a",
"internal_reference": "Accession ID: 823",
"public_reference": "Round Smithson work",
"type": "painting_framed",
"value": "15000",
"value_currency": "USD"
}
],
"current_packing": [
"cardboard_box"
],
"depth": "2",
"details": {
"creation_date": null,
"creator": null,
"is_cites": false,
"is_fragile": false,
"materials": [],
"notes": null,
"title": null
},
"height": "10.5",
"id": 1644,
"images": [],
"internal_reference": null,
"public_reference": null,
"subtype": "prepacked_box",
"type": "client_package",
"unit_of_measurement": "in",
"value": "15000",
"value_currency": "USD",
"weight": "3.5",
"weight_unit": "lb",
"width": "10"
},
{
"components": [],
"current_packing": [],
"customs": {
"country_of_origin": "US",
"hs_code": "123456",
"medium": "oil on canvas",
"temporary_admission": true
},
"depth": "2",
"details": {
"creation_date": null,
"creator": "Robert Irwin",
"is_cites": false,
"is_fragile": false,
"materials": [],
"notes": "Artist signature in the lower left corner",
"title": "All That Jazz"
},
"height": "10.5",
"id": 1644,
"images": [],
"internal_reference": null,
"public_reference": null,
"subtype": "painting_unframed",
"type": "art",
"unit_of_measurement": "in",
"value": "15000",
"value_currency": "USD",
"weight": "3.5",
"weight_unit": "lb",
"width": "10"
}
],
"origin": {
"access_restrictions": [],
"address_line_1": "11 W 53rd St",
"address_line_2": null,
"address_line_3": null,
"city": "New York",
"contacts": [
{
"email_address": "mary@example.com",
"name": "Mary Quinn Sullivan",
"phone_number": "(333) 333-3333"
}
],
"country": "US",
"postal_code": "10019",
"region": "NY",
"title": "Warehouse"
},
"payment_process": "invoicing",
"preferred_parcel_transport_services": [],
"preferred_quote_types": [],
"public_reference": null,
"quote_types": [
"premium",
"select",
"parcel"
],
"quotes": [
{
"id": 61,
"included_insurance_policy": null,
"included_services": [
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"is_requested": false,
"is_required": true,
"metadata": {
"reference_rate": {
"provider": "arta",
"service_level": "arta"
}
},
"name": "Specialized Shuttle",
"sub_subtype": "specialized_shuttle",
"subtype": "specialized",
"type": "transport"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"is_requested": false,
"is_required": true,
"metadata": {},
"name": "Shadowbox",
"sub_subtype": "shadow_box",
"subtype": "packing_materials",
"type": "packing"
}
],
"optional_services": [
{
"amount": "1",
"amount_currency": "USD",
"included_services": [
{
"name": "Soft Packed Disposal",
"sub_subtype": "soft_packed_disposal",
"subtype": "debris_disposal",
"type": "handling"
}
],
"name": "Debris Disposal",
"sub_subtype": "debris_disposal",
"subtype": "debris_disposal",
"type": "handling"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"name": "Assembly",
"sub_subtype": "assembly",
"subtype": "installation",
"type": "handling"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"name": "Placement",
"sub_subtype": "placement",
"subtype": "installation",
"type": "handling"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"name": "Installation",
"sub_subtype": "installation",
"subtype": "installation",
"type": "handling"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"name": "Condition Check (destination)",
"sub_subtype": "destination_condition_check",
"subtype": "condition",
"type": "handling"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"name": "Condition Check (origin)",
"sub_subtype": "origin_condition_check",
"subtype": "condition",
"type": "handling"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"name": "Condition Report (destination)",
"sub_subtype": "destination_full_condition_report",
"subtype": "condition",
"type": "handling"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"name": "Condition Report (origin)",
"sub_subtype": "origin_full_condition_report",
"subtype": "condition",
"type": "handling"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [
{
"name": "Unpacking Soft Materials (destination)",
"sub_subtype": "destination_unpacking_soft",
"subtype": "unpacking",
"type": "handling"
}
],
"name": "Unpacking (destination)",
"sub_subtype": "destination_unpacking",
"subtype": "unpacking",
"type": "handling"
}
],
"quote_type": "premium",
"status": "published",
"total": "2",
"total_currency": "USD"
},
{
"id": 62,
"included_insurance_policy": null,
"included_services": [
{
"amount": "1",
"amount_currency": "USD",
"included_services": [
{
"name": "Soft Packed Disposal",
"sub_subtype": "soft_packed_disposal",
"subtype": "debris_disposal",
"type": "handling"
}
],
"is_requested": false,
"is_required": true,
"metadata": {},
"name": "Debris Disposal",
"sub_subtype": "debris_disposal",
"subtype": "debris_disposal",
"type": "handling"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"is_requested": false,
"is_required": true,
"metadata": {},
"name": "Fuel Surcharge",
"sub_subtype": "fuel_surcharge",
"subtype": "fees",
"type": "taxes_duties_fees"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"is_requested": false,
"is_required": true,
"metadata": {},
"name": "Strongbox",
"sub_subtype": "strongbox",
"subtype": "packing_materials",
"type": "packing"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"is_requested": false,
"is_required": true,
"metadata": {
"reference_rate": {
"provider": "arta",
"service_level": null
}
},
"name": "Consolidated Trucking",
"sub_subtype": "road_groupage",
"subtype": "consolidated",
"type": "transport"
}
],
"optional_services": [
{
"amount": "1",
"amount_currency": "USD",
"included_services": [
{
"name": "Unpacking Soft Materials (destination)",
"sub_subtype": "destination_unpacking_soft",
"subtype": "unpacking",
"type": "handling"
}
],
"name": "Unpacking (destination)",
"sub_subtype": "destination_unpacking",
"subtype": "unpacking",
"type": "handling"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"name": "Condition Check (destination)",
"sub_subtype": "destination_condition_check",
"subtype": "condition",
"type": "handling"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"name": "Condition Check (origin)",
"sub_subtype": "origin_condition_check",
"subtype": "condition",
"type": "handling"
}
],
"quote_type": "select",
"status": "published",
"total": "4",
"total_currency": "USD"
},
{
"id": 63,
"included_insurance_policy": null,
"included_services": [
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"is_requested": false,
"is_required": true,
"metadata": {},
"name": "Fuel Surcharge",
"sub_subtype": "fuel_surcharge",
"subtype": "fees",
"type": "taxes_duties_fees"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"is_requested": false,
"is_required": true,
"metadata": {},
"name": "Collection",
"sub_subtype": "collection",
"subtype": "collection",
"type": "location"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"is_requested": false,
"is_required": true,
"metadata": {},
"name": "Ply Box",
"sub_subtype": "ply_box",
"subtype": "packing_materials",
"type": "packing"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"is_requested": false,
"is_required": true,
"metadata": {
"reference_rate": {
"provider": "fedex",
"service_level": "fedex_ground"
}
},
"name": "UPS Ground",
"sub_subtype": "parcel",
"subtype": "parcel",
"type": "transport"
}
],
"optional_services": [],
"quote_type": "parcel",
"status": "published",
"total": "4",
"total_currency": "USD"
},
{
"id": 64,
"included_insurance_policy": null,
"included_services": [
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"is_requested": false,
"is_required": true,
"metadata": {},
"name": "Fuel Surcharge",
"sub_subtype": "fuel_surcharge",
"subtype": "fees",
"type": "taxes_duties_fees"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"is_requested": false,
"is_required": true,
"metadata": {},
"name": "Collection",
"sub_subtype": "collection",
"subtype": "collection",
"type": "location"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"is_requested": false,
"is_required": true,
"metadata": {},
"name": "Ply Box",
"sub_subtype": "ply_box",
"subtype": "packing_materials",
"type": "packing"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"is_requested": false,
"is_required": true,
"metadata": {
"reference_rate": {
"provider": "fedex",
"service_level": "fedex_2_day"
}
},
"name": "UPS Second Day Air",
"sub_subtype": "parcel",
"subtype": "parcel",
"type": "transport"
}
],
"optional_services": [],
"quote_type": "parcel",
"status": "published",
"total": "4",
"total_currency": "USD"
},
{
"id": 65,
"included_insurance_policy": null,
"included_services": [
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"is_requested": false,
"is_required": true,
"metadata": {},
"name": "Fuel Surcharge",
"sub_subtype": "fuel_surcharge",
"subtype": "fees",
"type": "taxes_duties_fees"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"is_requested": false,
"is_required": true,
"metadata": {},
"name": "Collection",
"sub_subtype": "collection",
"subtype": "collection",
"type": "location"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"is_requested": false,
"is_required": true,
"metadata": {},
"name": "Ply Box",
"sub_subtype": "ply_box",
"subtype": "packing_materials",
"type": "packing"
},
{
"amount": "1",
"amount_currency": "USD",
"included_services": [],
"is_requested": false,
"is_required": true,
"metadata": {
"reference_rate": {
"provider": "fedex",
"service_level": "fedex_standard_overnight"
}
},
"name": "UPS Next Day Air",
"sub_subtype": "parcel",
"subtype": "parcel",
"type": "transport"
}
],
"optional_services": [],
"quote_type": "parcel",
"status": "published",
"total": "4",
"total_currency": "USD"
}
],
"quoting_strategy": "best_rate",
"shipping_notes": null,
"shortcode": "DEMO-R29NAW",
"status": "quoted",
"tags": [],
"updated_at": "2021-01-21T17:22:10.129653"
}
Response examples (404)
# Headers
content-type: application/json
x-arta-request-id: FkBjuxbwLLTx4RoAARkx
# Payload
{
"errors": {
"detail": "string"
}
}